# main.py
# -*- coding: utf-8 -*-
# cython: language_level=3
from 预定系统.base.Mqtt import MQTTClient

if __name__ == "__main__":
    broker_address = "192.168.5.218"
    port = 1883
    topic = "/maintain/room/master/client/"
    client_udid = '79ac2430-6a98-5509-9e99-65b974eb70a1'
    message = {
        "action": "_updatemaster",
        "client_udid": client_udid,
        "data": [
            {
                "item": "environmental",
                "pm25": 0,
                "co2": 0,
                "temp": 0,
                "tvoc": 0,
                "humi": 0,
                "hcho": 0
            },
            {
                "item": "conference",
                "power": 0,
                "exist": 1,
                "run": "hello world"
            }
        ]
    }

    # 创建客户端实例
    mqtt_client = MQTTClient(broker_address, port)

    # 连接到MQTT服务器
    mqtt_client.connect()

    # 订阅主题
    mqtt_client.subscribe(topic)

    # 发布消息
    mqtt_client.publish(topic, message)

    # 等待接收消息
    received_message = mqtt_client.wait_for_message(timeout=5)

    # 检查接收到的消息
    if received_message:
        print("Message received successfully!")
    else:
        print("No message received within the timeout period.")

    # 断开连接
    mqtt_client.disconnect()
